- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_stream_t

# mongoc_stream_cork()

## Synopsis

    int
    mongoc_stream_cork (mongoc_stream_t *stream);

## Parameters

- `stream`: A mongoc_stream_t.

This function shall prevent the writing of bytes to the underlying socket.

Note

Not all streams implement this function. Buffering generally works better.

## Returns

`0` on success, `-1` on failure and `errno` is set.

## See Also

mongoc_stream_buffered_new().

mongoc_stream_uncork().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.